GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::Exception Class Reference

Exception. More...

`#include <gdcmException.h>`

Inheritance diagram for gdcm::Exception:
[legend]
Collaboration diagram for gdcm::Exception:
[legend]

## Public Member Functions

| Exception (const char *desc="None", const char *file=__FILE__, unsigned int lineNumber=__LINE__, const char *func="")
virtual | ~Exception () throw ()
const char * | GetDescription () const
| Return the Description.
const char * | what () const throw ()
| what implementation

## Detailed Description

Exception.

Standard exception handling object.

Note
  Its copy-constructor and assignment operator are generated by the compiler.

## Constructor & Destructor Documentation

gdcm::Exception::Exception | ( | const char * | desc = `"None"`,
|  | const char * | file = `__FILE__`,
|  | unsigned int | lineNumber = `__LINE__`,
|  | const char * | func = `""`
| ) |  |

inlineexplicit

Explicit constructor, initializing the description and the text returned by what().

Note
  The last parameter is ignored for the time being. It may be used to specify the function where the exception was thrown.

virtual gdcm::Exception::~Exception | ( |  | ) | throw ()

inlinevirtual

## Member Function Documentation

const char* gdcm::Exception::GetDescription | ( |  | ) | const

inline

Return the Description.

Referenced by gdcm::SequenceOfItems::Read().

const char* gdcm::Exception::what | ( |  | ) | const throw ()

inline

what implementation

Referenced by gdcm::SequenceOfFragments::Read().

The documentation for this class was generated from the following file:

- gdcmException.h